import { defineStore } from 'pinia'

export const useMenuStore = defineStore('menu', {
  persist: {
    enabled: true
  },
  state() {
    return {
      menuInfo: {
        MID: 'home',
        FID: null,
        SID: null,
        TID: null
      }
    }
  },
  getters: {
    menuInfoMsg() {
      return this.menuInfo
    }
  },
  actions: {
    async setMenuInfo(info) {
      this.menuInfo = info
    },
    reset() {
      this.$reset()
    }
  }
})
