import { defineStore } from 'pinia'
import { getUserInfo } from '@/utils/oidc/index.js'

export const useUserStore = defineStore('user', {
  persist: {
    enabled: true
  },
  state() {
    return {
      userInfo: {
        hasLogin: false
      }
    }
  },
  getters: {
    // userId() {
    //   return this.userInfo?.id
    // },
    userName() {
      return this.userInfo?.userName
    },
    avatar() {
      return this.userInfo?.avatar
    },
    role() {
      return this.userInfo?.role || []
    },
    authority() {
      return this.userInfo.authority
    },
    hasLogin() {
      return this.userInfo.hasLogin
    }
  },
  actions: {
    async getUserInfos() {
      try {
        const res = await getUserInfo()
        if (res) {
          this.setUserInfo({ hasLogin: true, ...res.profile })
        } else {
          this.setUserInfo()
        }
      } catch (error) {
        console.error(error)
        this.setUserInfo()
      }
    },
    setUserInfo(userInfo = { hasLogin: false }) {
      this.userInfo = { ...this.userInfo, ...userInfo }
    }
  }
})
