import { useUserStore } from '@/store/modules/user'

const WITHOUT_TOKEN_API = [
  { url: /^\/serviceDef\/portal\/getServiceDefList/, method: 'GET' },
  { url: /^\/serviceInst\/portal\/getServiceInstList/, method: 'GET' },
  { url: /^\/serviceInst\/portal\/getServiceInstSummary\/[a-z0-9]+$/, method: 'GET' }
]

export function isWithoutToken({ url, method = '' }) {
  return WITHOUT_TOKEN_API.some((item) => item.url.test(url) && item.method === method.toUpperCase())
}

export function addBaseParams(params) {
  if (!params.userId) {
    params.userId = useUserStore().userId
  }
}
